Page MenuHomePhabricator

[Checkpoint 1] Create Schema, Migration plan and Doctrine DBAL connection
Closed, ResolvedPublic

Description

This checkpoint is passed once:

  1. we have documented the schema of the new normalization tables
  2. we have implemented Doctrine Driver Connections for supported databases
  3. the final schema and migration plan have passed DBAs review
  4. we have tested the above locally and on beta

Latest schema

source: https://commons.wikimedia.org/wiki/File:Wikibase_Terms_Store_Schema.png

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2019, 9:17 AM
Addshore renamed this task from [Checkpoint 1] Create Schema and Migration sciprts and plan to [Checkpoint 1] Create Schema and Migration scripts and plan.Mar 25 2019, 11:32 AM
alaa_wmde updated the task description. (Show Details)
alaa_wmde updated the task description. (Show Details)
alaa_wmde updated the task description. (Show Details)
alaa_wmde renamed this task from [Checkpoint 1] Create Schema and Migration scripts and plan to [Checkpoint 1] Create Schema.Mar 25 2019, 12:27 PM
alaa_wmde updated the task description. (Show Details)

Change 498869 had a related patch set uploaded (by Alaa Sarhan; owner: Jeroen De Dauw):
[mediawiki/extensions/Wikibase@master] Add wb_terms replacement tables

https://gerrit.wikimedia.org/r/498869

Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 4:00 PM
alaa_wmde renamed this task from [Checkpoint 1] Create Schema to [Checkpoint 1] Create Schema, Migration plan and Doctrine DBAL connection .Apr 4 2019, 10:12 PM

huh. Why is the DBAL connection part of this checkpoint and not checkpoint 2? I was expecting it to be part of checkpoint 2

alaa_wmde updated the task description. (Show Details)EditedApr 23 2019, 2:24 PM

huh. Why is the DBAL connection part of this checkpoint and not checkpoint 2? I was expecting it to be part of checkpoint 2

It was that way when we broke down the checkpoint as we thought Doctrine will be just the experiment of whether we can use it or not. Fixed it

Addshore closed this task as Resolved.Oct 31 2019, 7:27 AM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

Checkpoint done

Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 31 2019, 7:27 AM